server:
  port: 8766
  sessionTimeout: 300000
  servlet:
    contextPath: /
spring:
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    type: com.zaxxer.hikari.HikariDataSource
    jdbc-url: 'jdbc:mysql://localhost:3306/cesgroup?serverTimezone=GMT%2B8&useUnicode=true&characterEncoding=utf-8'
    userName: 'root'
    password: 'root'
    hikari:
      minimum-idle: 5
      maximum-pool-size: 20
      auto-commit: true
      idle-timeout: 60000
      pool-name: DatebookHikariCP
      max-lifetime: 1800000
      connection-timeout: 30000
      connection-test-query: SELECT 1
  servlet:
    multipart:
      max-request-size: 1000MB
      max-file-size: 100MB
  devtools:
    restart:
      additional-paths: src/main/java
      exclude: static/**
mybatis:
  mapperLocations: classpath:mappers/**/*.xml
  typeAliasesPackage: com.chenpt.entity
  configuration:
    mapUnderscoreToCamelCase: true
logging:
  config: classpath:logback-boot.xml
